{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Talleres & Apoyos REPORTES {% endblock title %}

{% block stylesheets %}
  	<style>
	#form_Consultar {
	    margin-top: 15px;
	    float: left;
	}
	#form_Excel {
	    margin-top: 15px;
	    margin-left: 15px;
	}
	</style>
{% endblock %}

{% block body %}
        
        	<section class="content-header">
	          <h1>
	            Talleres & Apoyos.
	          </h1>
	        </section>
        <section class="content">  
        	<div class="box box-info">
      
                <div class="box-body" style="padding: 2%;">
		        	<div class="row">
		        		{{ form_start(form_rep) }}
		                  {% for row in [		                    
		                    [ ['taller'] ]
		                    ] 
		                  %}
		                    <div class="row">   
		                    {% for field in row %}
		                      <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
		                        {% if (attribute(form_rep, field[0]) is defined) %}
		                          {{ form_row(attribute(form_rep, field[0])) }}
		                        {% endif %}
		                      </div>
		                    {% endfor %}
		                    </div>
		                  {% endfor %}
		                  {{ form_rest(form_rep) }}
		                  {{ form_end(form_rep) }}
		        	</div>
		        </div>
		    </div>

		    <div class="box box-warning">
                <div class="box-body">
                	<table class="table table-hover table-striped" id="tbl_talleres">
				    	<thead>
				    		<th>Taller.</th>
				    		<th>Nombre:</th>
				    		<th>Ap Paterno.</th>
				    		<th>Ap Materno.</th>
				    	</thead>
				    	<tbody>
				    		{% for entity in Inscritos %}
					    		<tr>
					    			<td> 	{{ entity.taller.Nombre}}	</td>
					    			<td> 	{{ entity.usuario.uNombre }} </td>
					    			<td>	{{ entity.usuario.uApPaterno }} </td>
					    			<td>	{{ entity.usuario.uApMaterno }}</td>
					    			
				                </tr>    
							{% endfor %}
				    	</tbody>
					</table>
                </div>
             </div>
		   	

		   
		</section> 	
    

{% endblock %}

{% block javascripts %}
<script>
	$(document).ready(function() {

		    $('#tbl_talleres').DataTable({
        		"language":DataTables.languaje.es
        	});

		    $( "select" ).addClass( "form-control" );
			$( "input[type='text']" ).addClass( "form-control" );
			$( "input[type='search']").addClass( "form-contro" );		        	
			$( "#tbl_talleres_length" ).addClass( "form-inline" );
			$( "#tbl_talleres_filter" ).addClass( "form-inline" );

	});
	function load(){
		if($('#form_taller').val()){
			showLoading("Cargando Datos");
		}
	}
</script>
{% endblock %}